Subject: Re: bug#21774: emacs from git, 28-10, does not build on openbsd-5.8

From: Eli Zaretskii <[email-masked]>
Date: Wed, 28 Oct 2015 17:40:49 +0200

> From: Han Boetes <[email-masked]>
> Date: Wed, 28 Oct 2015 14:20:46 +0100
> 
> The version that I report this bug with is from last week and works
> ok. I haven't changed anything to the configuration in the mean time,
> Todays checkout breaks with:
> 
>   CC       profiler.o
> In file included from /usr/local/include/glib-2.0/glib/galloca.h:32:0,
>                  from /usr/local/include/glib-2.0/glib.h:30,
>                  from /usr/local/include/glib-2.0/gobject/gbinding.h:28,
>                  from /usr/local/include/glib-2.0/glib-object.h:23,
>                  from /usr/local/include/glib-2.0/gio/gioenums.h:28,
>                  from /usr/local/include/glib-2.0/gio/giotypes.h:28,
>                  from /usr/local/include/glib-2.0/gio/gio.h:26,
>                  from /mega/home/han/nfs/Emacs/emacs/src/gfilenotify.c:23:
> /usr/local/include/glib-2.0/glib/gtypes.h:32:24: fatal error: glibconfig.h: No such file or directory
>  #include <glibconfig.h>
>                         ^
> compilation terminated.

The line that includes gio/gio.h was there since 2 years ago, so I'm
unsure what could be the reason here.  Does your system really lack
glibconfig.h?  That header is part of Glib installation, AFAIK.